
#version 330 core

layout (location = 0) in vec3 polozenie_in;

const mat4 macierzJednostkowa = mat4(1.0);
uniform mat4 macierzSwiata = macierzJednostkowa;
uniform mat4 macierzWidoku = macierzJednostkowa;
uniform mat4 macierzRzutowania = macierzJednostkowa;
mat4 macierzMVP = macierzRzutowania*macierzWidoku*macierzSwiata; //bardzo słabe, że to mnożenie jest w shaderze

uniform mat4 macierzNormalnych = macierzJednostkowa;

out vec3 texCoords;

void main()
{
    texCoords = polozenie_in;

    vec4 pos = macierzMVP * vec4(polozenie_in, 1.0);
    gl_Position = vec4(pos.x, pos.y, pos.z, pos.w);
}
